Package com.io7m.waxmill.database.vanilla

# Class WXMVirtualMachineDatabases

java.lang.Object
com.io7m.waxmill.database.vanilla.WXMVirtualMachineDatabases

All Implemented Interfaces:
  `WXMDatabaseProviderType`, `WXMVirtualMachineDatabaseProviderType`

    public final class WXMVirtualMachineDatabases
    extends java.lang.Object
    implements WXMVirtualMachineDatabaseProviderType

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `WXMVirtualMachineDatabases()` |
  `WXMVirtualMachineDatabases​(WXMMachineMessages inMessages, WXMVirtualMachineParserProviderType inParsers, WXMVirtualMachineSerializerProviderType inSerializers)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `WXMVirtualMachineDatabaseType` | `open​(WXMDatabaseConfiguration configuration)` | Open (or create) a database.
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WXMVirtualMachineDatabases

    public WXMVirtualMachineDatabases​(WXMMachineMessages inMessages, WXMVirtualMachineParserProviderType inParsers, WXMVirtualMachineSerializerProviderType inSerializers)

  - ### WXMVirtualMachineDatabases

    public WXMVirtualMachineDatabases()

- ## Method Details

  - ### open

    public WXMVirtualMachineDatabaseType open​(WXMDatabaseConfiguration configuration) throws WXMException
    Description copied from interface: `WXMDatabaseProviderType`
    Open (or create) a database.
    Specified by:
      `open` in interface `WXMDatabaseProviderType`
    Specified by:
      `open` in interface `WXMVirtualMachineDatabaseProviderType`
    Parameters:
      `configuration` - The database configuration
    Returns:
      The database
    Throws:
      `WXMException` - On errors

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`